Bug 754259 - Example systemd service script does not run vncserver in login shell
Example systemd service script does not run vncserver in login shell
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tigervnc (Show other bugs)
16
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-15 15:58 EST by Orion Poplawski
Modified: 2013-04-30 19:50 EDT (History)
3 users (show)

See Also:
Fixed In Version: tigervnc-1.1.0-3.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-02 16:26:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2011-11-15 15:58:24 EST
Description of problem:

The example systemd service script does not run vncserver in login shell.  This can cause a lot of problems for the session started.  I would suggest:

ExecStart=/sbin/runuser -l <USER> -c "/usr/bin/vncserver -nolisten tcp %i"

and no User= line.  Unless it seems worthwhile to add login shell capability to systemd.

Version-Release number of selected component (if applicable):
tigervnc-server-1.1.0-2.fc16.x86_64
Comment 1 Fedora Update System 2011-11-22 09:27:42 EST
tigervnc-1.1.0-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/tigervnc-1.1.0-3.fc16
Comment 2 Fedora Update System 2011-11-22 19:54:30 EST
Package tigervnc-1.1.0-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tigervnc-1.1.0-3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16244/tigervnc-1.1.0-3.fc16
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2011-12-02 16:26:50 EST
tigervnc-1.1.0-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.